KUBERNETES(1)

NAME

kubeadm config upload - Upload configuration about the current state, so that 'kubeadm upgrade' can later know how to configure the upgraded cluster.

SYNOPSIS

kubeadm config upload [OPTIONS]

DESCRIPTION

Upload configuration about the current state, so that 'kubeadm upgrade' can later know how to configure the upgraded cluster.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-config(1), kubeadm-config-upload-from-file(1), kubeadm-config-upload-from-flags(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!